Packages

final case class TapirHttpEndpoint[Effect[_]](effectSystem: EffectSystem[Effect], pathPrefix: String = "/", method: Option[HttpMethod] = None, mapException: (Throwable) => Int = HttpContext.defaultExceptionToStatusCode, handler: RequestHandler[Effect, Context] = RequestHandler.dummy[Effect, Context]) extends Logging with EndpointTransport[Effect, Context, Full[Unit, Unit, Request, Unit, (Array[Byte], StatusCode), Any, Effect]] with Product with Serializable

Tapir HTTP endpoint message transport plugin.

Interprets HTTP request body as an RPC request and processes it using the specified RPC request handler.

  • The response returned by the RPC request handler is used as HTTP response body.
Effect

effect type

effectSystem

effect system plugin

pathPrefix

HTTP URL path prefix, only requests starting with this path prefix are allowed

method

allowed HTTP method, all methods are allowed if empty

mapException

maps an exception to a corresponding HTTP status code

handler

RPC request handler

See also

Transport protocol

Library documentation

API

Linear Supertypes
Ordering
  1. Alphabetic
  2. By Inheritance
Inherited
  1. TapirHttpEndpoint
  2. Serializable
  3. Product
  4. Equals
  5. EndpointTransport
  6. Logging
  7. AnyRef
  8. Any
  1. Hide All
  2. Show All
Visibility
  1. Public
  2. Protected

Instance Constructors

  1. new TapirHttpEndpoint(effectSystem: EffectSystem[Effect], pathPrefix: String = "/", method: Option[HttpMethod] = None, mapException: (Throwable) => Int = HttpContext.defaultExceptionToStatusCode, handler: RequestHandler[Effect, Context] = RequestHandler.dummy[Effect, Context])

    Creates a Tapir HTTP endpoint message transport plugin with specified effect system and request handler.

    Creates a Tapir HTTP endpoint message transport plugin with specified effect system and request handler.

    effectSystem

    effect system plugin

    pathPrefix

    HTTP URL path prefix, only requests starting with this path prefix are allowed

    method

    allowed HTTP method, all methods are allowed if empty

    mapException

    maps an exception to a corresponding HTTP status code

    handler

    RPC request handler

Value Members

  1. final def !=(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  2. final def ##: Int
    Definition Classes
    AnyRef → Any
  3. final def ==(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  4. def adapter: Full[Unit, Unit, Request, Unit, (Array[Byte], StatusCode), Any, Effect]
    Definition Classes
    TapirHttpEndpoint → EndpointTransport
  5. final def asInstanceOf[T0]: T0
    Definition Classes
    Any
  6. def clone(): AnyRef
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.CloneNotSupportedException]) @native()
  7. val effectSystem: EffectSystem[Effect]
    Definition Classes
    TapirHttpEndpoint → EndpointTransport
  8. final def eq(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  9. final def getClass(): Class[_ <: AnyRef]
    Definition Classes
    AnyRef → Any
    Annotations
    @native()
  10. val handler: RequestHandler[Effect, Context]
  11. final def isInstanceOf[T0]: Boolean
    Definition Classes
    Any
  12. val logger: Logger
    Attributes
    protected
    Definition Classes
    Logging
  13. val mapException: (Throwable) => Int
  14. val method: Option[HttpMethod]
  15. final def ne(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  16. final def notify(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native()
  17. final def notifyAll(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native()
  18. val pathPrefix: String
  19. def productElementNames: Iterator[String]
    Definition Classes
    Product
  20. final def synchronized[T0](arg0: => T0): T0
    Definition Classes
    AnyRef
  21. final def wait(): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])
  22. final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])
  23. final def wait(arg0: Long): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException]) @native()
  24. def withHandler(handler: RequestHandler[Effect, Context]): TapirHttpEndpoint[Effect]
    Definition Classes
    TapirHttpEndpoint → EndpointTransport

Deprecated Value Members

  1. def finalize(): Unit
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.Throwable]) @Deprecated @Deprecated
    Deprecated

Inherited from Serializable

Inherited from Product

Inherited from Equals

Inherited from EndpointTransport[Effect, Context, Full[Unit, Unit, Request, Unit, (Array[Byte], StatusCode), Any, Effect]]

Inherited from Logging

Inherited from AnyRef

Inherited from Any

Ungrouped